@echo off
rem ----------------------------------------------------------------------
rem    BUILD.BAT:  the install-shield release-build batch file, for NTP
rem    Author:  Paul Wren, Software.Com
rem    Date:    ??/??/?? modified: l. kahn for freeware version
rem    Date:    12/19/95 Adapted to MIPS/Intel. Switch by passing 'mips' on
rem                      command line for MIPS machine.
rem                      NOTE:  Will default to Intel.
rem    Date:    05/07/96 modified: Greg Schueman for freeware NTP
rem    Date:    06/07/98 modified: Carl Byington for 4.0.72j - some of the
rem                      relative paths did not seem to match my system with
rem                      install shield from VC++4.2.
rem                      don't copy setup.dbg to the install disk1, was not there
rem                      in the 3.5.90.3 version.
rem    Date:    11/20/98 modified: Carl Byington for 4.0.73e13 - the directory
rem                      structure has changed.
rem    Date:    11/22/98 modified: Carl Byington for 4.0.90a - can use a short name
rem                      again, since this zip does not understand long ones.
rem
rem ----------------------------------------------------------------------

rem
rem MODIFY THE NEXT line.
rem Its' value MUST be set to the location of the InstallShield installation.
rem note that since we might have spaces in this path, we have a leading quote
rem here, so every reference must supply the trailing quote.
rem
set IPRG="c:\Program Files\InstallShield\InstallShield SDK\Program

set ZIP=pkzip


if (%1)==() goto :intel
set VERSION=MIPS_Rel
set INSTDIR=mips
echo Building MIPS Version...

if (%1)==(mips) goto :skip_intel

:intel
set VERSION=WinRel
set INSTDIR=intel
echo Building INTEL version...
:skip_intel

set INST=%INSTDIR%\data

rem
rem Setup directory structure
rem
mkdir %INSTDIR%\data
mkdir %INSTDIR%\disk1
del /q %INSTDIR%\data\*
del /q %INSTDIR%\disk1\*

rem
rem Next command creates the setup.rul file from setup.rul.in
rem
perl .\mksetup.bat

rem perl script is not right anymore, just ignore what it did to setup.lst
copy setup.lst.in setup.lst

echo %INST%
echo ...Build components...
%IPRG%\compile" setup.rul -g
copy setup.ins %INSTDIR%\disk1

echo ...Copy NTP stuff to data directory...

COPY ..\distrib\Release\ntp*.exe   %INST%
COPY ..\distrib\readme.nt          %INST%
COPY ..\distrib\ntpog.wri          %INST%
COPY ..\..\..\..\COPYRIGHT         %INST%

cd %INSTDIR%
        echo ...Compress release data...
        del data\data.z
        %IPRG%\icomp" -i data\*.* data\data.z
        copy data\data.z disk1
        del data\data.z

        echo ...Make setup packing list...
        %IPRG%\packlist" ..\setup.lst
        copy    setup.pkg disk1
rem     copy ..\setup.dbg disk1
        del     setup.pkg
        del  ..\setup.dbg

        echo ...Finish up disk contents with support files
rem     copy ..\setup.bmp        disk1
        copy %IPRG%\_setup.lib"  disk1
        copy %IPRG%\_setup.dll"  disk1
        copy %IPRG%\setup.exe"   disk1

        echo ...Add helper dll libraries
        %IPRG%\icomp" %IPRG%\ctl3d32.dll"         disk1\_setup.lib
        %IPRG%\icomp" ..\winrel\ntpdll.dll        disk1\_setup.lib
        %IPRG%\icomp" ..\..\distrib\readme.nt     disk1\_setup.lib
rem     %IPRG%\icomp" ..\ishield.bmp              disk1\_setup.lib

        rem copy in separately so they're available BEFORE install runs
        copy ..\..\distrib\readme.nt  disk1
        copy data\ntpog.wri           disk1

rem copy stupid program needed for nt
rem that wasn't even installed by the
rem freeware install shield had to get it
rem off the vc++4.0 cd
        copy %IPRG%\_INST32I.EX_" disk1

rem     Zip the whole enchilada into one file
        erase ntp4090a.zip
        %ZIP% -a ntp4090a.zip disk1\*.*
cd ..

set NTP=
set INST=
set IPRG=
set VERSION=
set INSTDIR=

echo .
echo .
echo Completed.

